# Class BundleLocalizationImpl

java.lang.Object
org.eclipse.osgi.storage.BundleLocalizationImpl

All Implemented Interfaces:
  `BundleLocalization`

public class BundleLocalizationImpl extends Object implements BundleLocalization
The implementation of the service that gets ResourceBundle objects from a given bundle with a given locale.

Internal class.

## Constructor Summary

Constructors
Constructor
Description
`BundleLocalizationImpl()`

## Method Summary

Modifier and Type
Method
Description
`ResourceBundle`
`getLocalization(Bundle bundle, String locale)`
The getLocalization method gets a ResourceBundle object for the given locale and bundle.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleLocalizationImpl

public BundleLocalizationImpl()

## Method Details

### getLocalization

public ResourceBundle getLocalization(Bundle bundle, String locale)
The getLocalization method gets a ResourceBundle object for the given locale and bundle.

Specified by:
  `getLocalization` in interface `BundleLocalization`
Parameters:
  `bundle` - the bundle to get localization for
  `locale` - the name of the locale to get, or `null` if the default locale is to be used
Returns:
  A `ResourceBundle` object for the given bundle and locale. If null is passed for the locale parameter, the default locale is used.